<?xml version="1.0" encoding="UTF-8"?>
<definitions name="SynchronousSample"
targetNamespace="http://j2ee.netbeans.org/wsdl/SynchronousSample"
    xmlns="http://schemas.xmlsoap.org/wsdl/"
    xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
    xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
    xmlns:tns="http://j2ee.netbeans.org/wsdl/SynchronousSample"
    xmlns:ns="http://xml.netbeans.org/schema/SynchronousSample"
    xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype"
    xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
xmlns:bpws="http://schemas.xmlsoap.org/ws/2003/03/business-process/"
    >
    <types>
        <xsd:schema targetNamespace="http://j2ee.netbeans.org/wsdl/SynchronousSample">
            <xsd:import namespace="http://xml.netbeans.org/schema/SynchronousSample"
                schemaLocation="LoanApprovalExtended.xsd"/>
        </xsd:schema>
    </types>

	<message name="entrada">
        <part name="datos" type="ns:entradaProcesoGeneral"/><!--type="ns:operation"--><!--type="ns:entradaProcesoGeneral"-->
    </message>
    <message name="salida">
        <part name="cuota" type="xsd:decimal"/>
        <part name="dictamen" type="xsd:boolean"/>
        <part name="razon" type="xsd:string"/>
    </message>

<!--  MENSAJE DE ERROR -->
    <message name="errorMessage">
        <part name="errorString" type="xsd:string"/>
    </message>
<!--  MENSAJE DE ERROR -->

    <portType name="SynchronousSamplePortType">
        <operation name="CLIENTE_Operation">
            <input name="input1" message="tns:entrada"/><!--message="tns:entrada"-->
            <output name="output1" message="tns:salida"/>
			<fault name="ErrorCancelacionFault" message="tns:errorMessage"/>
        </operation>
    </portType>


    <binding name="SynchronousSampleBinding" type="tns:SynchronousSamplePortType">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <operation name="CLIENTE_Operation">
            <soap:operation/>
            <input name="input1">
                <soap:body use="literal"/>
            </input>
            <output name="output1">
                <soap:body use="literal"/>
            </output>
            <fault name="fault1">
                <soap:fault name="fault1" use="literal"/>
            </fault>
        </operation>
    </binding>


    <plnk:partnerLinkType name="SynchronousSample">
        <plnk:role name="SynchronousSamplePortTypeRole" portType="tns:SynchronousSamplePortType"/>
    </plnk:partnerLinkType>

    <service name="SynchronousSampleService">
        <port name="SynchronousSamplePort" binding="tns:SynchronousSampleBinding">
            <soap:address location="http://localhost:8080/active-bpel/services/SynchronousSampleService"/>
        </port>
    </service>
    
</definitions>
